/*
 * framer_dummy.c
 *
 * This file contains a dummy implementation of DS2155 Framer implementation.
 * Since this is dummy implemenation, these functin does nothing (other than
 * printing a debug statement. This functions in this file need to be replaced
 * with appropriate implementation.
 *
 * Copyright (c) 2000, Zarlink Semiconductor Inc.
 * All rights reserved
 *
 * This software is the property of Zarlink Semiconductor , Inc. Please refer to the
 * Non Disclosure Agreement (NDA) that you have signed for more information
 * on legal obligations in using, modifying or distributing this file.
 */

#include "framer_dummy.h"
#include "vp_api_types.h"
#include <stdio.h>
#define term_printf printf


FliuType FliuInit(void)
{
    term_printf("Initializing Framer...\n");
    return  T1_FRAMER;
}

void FliuSetFraming(FliuMode mode)
{
    term_printf("Setting Framing mode...\n");
}

void PutSignal(uint8 timeSlot, uint8 sigMask)
{
    term_printf("Writing Signal %u, %u\n", timeSlot, sigMask);
}
uint8 GetSignal(uint8 timeSlot)
{
    term_printf("Reading Signal\n");
    return 0x00; /* Ringing */
}




